package org.apidesign.apifest08.currency;

import java.util.Date;

/**
 * Date provider - provides current date.
 * @see DateProvider#createCurrentDateProvider() 
 * @see Convertor#setDateProvider(IDateProviderEngine) 
 * @author arnostvalicek
 * @since version4
 */
public interface IDateProviderEngine {
    /**
     * Get current date.
     * @return Return current date.
     */
    public Date getCurrentDate();

}
